/// <reference types="hapi__joi" />
import { ISecondaryIndexDef } from "../types";
import DynamoDataOpr from "../core/dynamo-data-operation";
import Joi from "@hapi/joi";
interface IBaseRepoOptions<T> {
    schemaSubDef: Joi.SchemaMap;
    featureEntityValue: string;
    secondaryIndexOptions: ISecondaryIndexDef<T>[];
}
export declare abstract class BaseRepository<T> extends DynamoDataOpr<T> {
    constructor({ schemaSubDef, secondaryIndexOptions, featureEntityValue, }: IBaseRepoOptions<T>);
}
export {};
